/* Container do Menu */
#btn-action-menu {
    background-color: transparent;
}

.menu-mobile-container {
    overflow: hidden;
    max-height: 0;
    opacity: 0;
    transition: max-height 0.4s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.3s ease;
    width: 100vw;
    background-color: white;
}

.menu-mobile-container.active {
    max-height: 100vh;
    opacity: 1;
}

/* Animação do Ícone */
.icon-wrapper {
    display: inline-block;
    transition: transform 0.3s ease, opacity 0.2s ease;
}

.btn-active .icon-wrapper {
    transform: rotate(90deg);
    opacity: 0.8;
}

/* Reset para Desktop */
@media (min-width: 768px) {
    .menu-mobile-container {
        max-height: none !important;
        opacity: 1 !important;
        display: flex !important;

        width: 100%;
        background-color: transparent !important;
    }
}

.nav-item {
    transition: color 0.3s ease, transform 0.2s ease;
}

li.item-active span {
    color: var(--secondary-color) !important;
}